Tp::Service::ProtocolInterfaceAvatarsAdaptor Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::Service::ProtocolInterfaceAvatarsAdaptor Class Reference
Connection manager service implementation

`#include <TelepathyQt/_gen/svc-connection-manager.h>`

Inherits Tp::AbstractAdaptor.

## Public Member Functions
QStringList | SupportedAvatarMIMETypes () const
uint | MinimumAvatarHeight () const
uint | MinimumAvatarWidth () const
uint | RecommendedAvatarHeight () const
uint | RecommendedAvatarWidth () const
uint | MaximumAvatarHeight () const
uint | MaximumAvatarWidth () const
uint | MaximumAvatarBytes () const
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Protocol.Interface.Avatars".

## Member Function Documentation

QStringList Tp::Service::ProtocolInterfaceAvatarsAdaptor::SupportedAvatarMIMETypes | ( |  | ) | const

Return the value of the exported D-Bus object property `SupportedAvatarMIMETypes` of type `QStringList`.

Adaptees should export this property as a Qt property named 'supportedAvatarMIMETypes' with type QStringList.

The expected value of the Connection.Interface.Avatars.SupportedAvatarMIMETypes property on connections to this protocol.

Returns
  The value of exported property `SupportedAvatarMIMETypes`.

uint Tp::Service::ProtocolInterfaceAvatarsAdaptor::MinimumAvatarHeight | ( |  | ) | const

Return the value of the exported D-Bus object property `MinimumAvatarHeight` of type `uint`.

Adaptees should export this property as a Qt property named 'minimumAvatarHeight' with type uint.

The expected value of the Connection.Interface.Avatars.MinimumAvatarHeight property on connections to this protocol.

Returns
  The value of exported property `MinimumAvatarHeight`.

uint Tp::Service::ProtocolInterfaceAvatarsAdaptor::MinimumAvatarWidth | ( |  | ) | const

Return the value of the exported D-Bus object property `MinimumAvatarWidth` of type `uint`.

Adaptees should export this property as a Qt property named 'minimumAvatarWidth' with type uint.

The expected value of the Connection.Interface.Avatars.MinimumAvatarWidth property on connections to this protocol.

Returns
  The value of exported property `MinimumAvatarWidth`.

uint Tp::Service::ProtocolInterfaceAvatarsAdaptor::RecommendedAvatarHeight | ( |  | ) | const

Return the value of the exported D-Bus object property `RecommendedAvatarHeight` of type `uint`.

Adaptees should export this property as a Qt property named 'recommendedAvatarHeight' with type uint.

The expected value of the Connection.Interface.Avatars.RecommendedAvatarHeight property on connections to this protocol.

Returns
  The value of exported property `RecommendedAvatarHeight`.

uint Tp::Service::ProtocolInterfaceAvatarsAdaptor::RecommendedAvatarWidth | ( |  | ) | const

Return the value of the exported D-Bus object property `RecommendedAvatarWidth` of type `uint`.

Adaptees should export this property as a Qt property named 'recommendedAvatarWidth' with type uint.

The expected value of the Connection.Interface.Avatars.RecommendedAvatarWidth property on connections to this protocol.

Returns
  The value of exported property `RecommendedAvatarWidth`.

uint Tp::Service::ProtocolInterfaceAvatarsAdaptor::MaximumAvatarHeight | ( |  | ) | const

Return the value of the exported D-Bus object property `MaximumAvatarHeight` of type `uint`.

Adaptees should export this property as a Qt property named 'maximumAvatarHeight' with type uint.

The expected value of the Connection.Interface.Avatars.MaximumAvatarHeight property on connections to this protocol.

Returns
  The value of exported property `MaximumAvatarHeight`.

uint Tp::Service::ProtocolInterfaceAvatarsAdaptor::MaximumAvatarWidth | ( |  | ) | const

Return the value of the exported D-Bus object property `MaximumAvatarWidth` of type `uint`.

Adaptees should export this property as a Qt property named 'maximumAvatarWidth' with type uint.

The expected value of the Connection.Interface.Avatars.MaximumAvatarWidth property on connections to this protocol.

Returns
  The value of exported property `MaximumAvatarWidth`.

uint Tp::Service::ProtocolInterfaceAvatarsAdaptor::MaximumAvatarBytes | ( |  | ) | const

Return the value of the exported D-Bus object property `MaximumAvatarBytes` of type `uint`.

Adaptees should export this property as a Qt property named 'maximumAvatarBytes' with type uint.

The expected value of the Connection.Interface.Avatars.MaximumAvatarBytes property on connections to this protocol.

Returns
  The value of exported property `MaximumAvatarBytes`.